概要
====

Yii のアプリケーションがリクエストを処理するときは、毎回、同じような作業の流れを経験します。

1. ユーザが [エントリスクリプト](structure-entry-scripts.md) `web/index.php` にリクエストをします。
2. エントリスクリプトは、アプリケーションの [コンフィギュレーション](concept-configurations.md) をロードして、リクエストを処理するための [アプリケーション](structure-applications.md) のインスタンスを作成します。
3. アプリケーションは、[リクエスト](runtime-requests.md) アプリケーションコンポーネントの助けを借りて、リクエストされた [ルート](runtime-routing.md) を解決します。
4. アプリケーションはリクエストを処理するための [コントローラ](structure-controllers.md) のインスタンスを作成します。
5. コントローラは [アクション](structure-controllers.md) のインスタンスを作成して、アクションのためのフィルタを実行します。
6. フィルタのどれかが失敗すると、アクションはキャンセルされます。
7. すべてのフィルタを無事に通ったら、アクションが実行されます。
8. アクションはデータモデルを、おそらくはデータベースから、ロードします。
9. アクションはデータモデルをビューに提供して、ビューをレンダリングします。
10. レンダリングの結果は [レスポンス](runtime-responses.md) アプリケーションコンポーネントに返されます。
11. レスポンスコンポーネントがレンダリングの結果をユーザのブラウザに送信します。

次の図は、アプリケーションがどのようにしてリクエストを処理するかを示すものです。

![リクエストのライフサイクル](images/request-lifecycle.png)

この節では、これらのステップのいくつかについて、どのように動作するかを詳細に説明します。
